Subject: Re: [PATCH] Receive-pack: include entire SHA1 in nonce

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Sep 2014 09:23:14 -0700

Brian Gernhardt <[email-masked]> writes:

> clang gives the following warning:
>
> builtin/receive-pack.c:327:35: error: sizeof on array function
> parameter will return size of 'unsigned char *' instead of 'unsigned
> char [20]' [-Werror,-Wsizeof-array-argument]
>         git_SHA1_Update(&ctx, out, sizeof(out));
>                                          ^
> builtin/receive-pack.c:292:37: note: declared here
> static void hmac_sha1(unsigned char out[20],
>                                     ^
> ---
>
>  I dislike changing sizeof to a magic constant, but clang informs me that
>  sizeof is doing the wrong thing.

Thanks. I knew the code was wrong when I wrote it but somehow it
ended up as I wrote X-<.  Let me find a brown paper bag ;-)